PANEL_PROCESS_COMMAND_WITH_STACK(3)

FUNCTION
panel_process_command_with_stack - Process a command.

SYNOPSIS
#include <karma_panel.h>

flag panel_process_command_with_stack

(CONST char *cmd, flag (*unknown_func) (), FILE *fp)

DESCRIPTION
This routine will process a command, using the top control panel on the stack to interpret it.

cmd The command.

unknown_func
    The function that is called when the command is not understood. If this is NULL, then a message is displayed if the command is not understood. The prototype function is <-panel_PROTO_decode_func->.

fp  Output messages are directed here.

RETURN VALUE
TRUE if more commands should be processed, else FALSE, indicating that the control panel's "exit" command was entered.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/